\newpage

\subsection{Service 3: Housekeeping}

\begin{description}
	\item[Objective]\hfill\\
	
	This service provides the capability to report the values of all on-board parameters assembled in report structures, identified via SIDs. These structures can be predefined, created when needed or modified at any phase of the mission. Each report based on a defined structure gets reported periodically with a specific interval if enabled. If disabled no reports get generated.\\
	All messages corresponding with the housekeeping reporting are used in all nominal cases during the mission. All messages corresponding with the diagnostic reporting are used for error investigation or other exceptional cases.\\
	Data within the reports is uniquely identified via the SID and the parameter ID and can contain information from each on-board device including the payload devices.
	
	
	\item[Service Summary]\hfill\\
	
	\begin{longtable}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
		\hline
		\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
		\midrule
		\rowcolor{TcHeader!20}TC & 3,1 & Create housekeeping parameter report structure\\
		\rowcolor{TcHeader!20}TC & 3,2 & Create diagnostic parameter report structure\\
		\rowcolor{TcHeader!20}TC & 3,3 & Delete housekeeping parameter report structure\\
		\rowcolor{TcHeader!20}TC & 3,4 & Delete diagnostic parameter report structure\\
		\rowcolor{TcHeader!20}TC & 3,5 & Enable periodic generation of housekeeping reports\\
		\rowcolor{TcHeader!20}TC & 3,6 & Disable periodic generation of housekeeping reports\\
		\rowcolor{TcHeader!20}TC & 3,7 & Enable periodic generation of diagnostic reports\\
		\rowcolor{TcHeader!20}TC & 3,8 & Disable periodic generation of diagnostic reports\\
		\rowcolor{TcHeader!20}TC & 3,9 & Report housekeeping parameter report structure\\
		\rowcolor{TmHeader!20}TM & 3,10 & Housekeeping parameter report structure report\\
		\rowcolor{TcHeader!20}TC & 3,11 & Report diagnostic parameter report structure\\
		\rowcolor{TmHeader!20}TM & 3,12 & Diagnostic parameter report structure report\\
		\rowcolor{TmHeader!20}TM & 3,25 & Housekeeping parameter report\\
		\rowcolor{TmHeader!20}TM & 3,26 & Diagnostic parameter report\\
		\rowcolor{TcHeader!20}TC & 3,29 & Append parameters to a housekeeping parameter report structure\\
		\rowcolor{TcHeader!20}TC & 3,30 & Append parameters to a diagnostic parameter report structure\\
		\rowcolor{TcHeader!20}TC & 3,31 & Modify collection interval of housekeeping parameter report structures\\
		\rowcolor{TcHeader!20}TC & 3,32 & Modify collection interval of diagnostic parameter report structures\\
		\rowcolor{TcHeader!20}TC & 3,33 & Report periodic generation properties of housekeeping parameter report structures\\
		\rowcolor{TcHeader!20}TC & 3,34 & Report periodic generation properties of diagnostic parameter report structures\\
		\rowcolor{TmHeader!20}TM & 3,35 & Housekeeping periodic generation properties report\\
		\rowcolor{TmHeader!20}TM & 3,36 & Diagnostic periodic generation properties report\\
		\bottomrule
		\caption{Service 3 Summary}
	\end{longtable}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 3,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,1} & \textbf{Create a housekeeping parameter report structure}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC creates a complete housekeeping report structure with a variable number of parameters to report about. The state of the new SID is set to disabled.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.18\textwidth}|p{0.18\textwidth}|p{0.18\textwidth}|p{0.18\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			HK Param\newline Report SID & Collection\newline Interval & N & Param ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Unsigned\newline Integer & Unsigned\newline Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit&16 Bit&8 Bit&24 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N times}\\
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,1)
	\end{table}
	
	%\setlength\arrayrulewidth{1pt}
	%\begin{table}[h]
	%\centering
	%\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
	%\hhline{|----|~~}
	%\rowcolor{TcHeader}
	%HK Param\newline Report SID & Collection\newline Interval & N1 & Param ID & & \cellcolor{white}\\
	%\hhline{|----|~~}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
	%\hhline{|----|~~}
	%\rowcolor{TcBody}
	%Enum & Unsigned\newline Integer & Unsigned\newline Integer & Enum & & \cellcolor{white}\\
	%\hhline{|----|~~}
	%\rowcolor{TcBody}
	%7 Bit&13 Bit&7 Bit&24 Bit&& \cellcolor{white}\\
	%\hhline{|----|~~}
	%\multicolumn{3}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N1 times} & &\\
	%\end{tabular}
	
	%\vspace{0.75cm}
	
	%\begin{tabular}{p{0.2\textwidth}p{0.005\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|}
	%\hhline{~~|----|}
	%\rowcolor{TcHeader}
	%\cellcolor{white} & & NFA & Super\newline Commutated Sample Repetition Number & N2 & Param ID	\\
	%\hhline{~~|----|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
	%\hhline{~~|----|}
	%\rowcolor{TcBody}
	%\cellcolor{white} && Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Enum \\
	%\hhline{~~|----|}
	%\rowcolor{TcBody}
	%\cellcolor{white} &&7 Bit&13 Bit&7 Bit&24 Bit \\
	%\hhline{~~|----|}
	%\multicolumn{5}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N2 times}\\
	%\multicolumn{3}{c}{} & \multicolumn{3}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$ Repeated NFA times $\rightarrow$}\\
	%\end{tabular}\\\vspace{10pt}
	%Application Data TC(3,1)
	%\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the housekeeping parameter report structure.\\
		& \\
		\textbf{Collection Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The time for collecting the data for the report. The maximum value is 32767 (decimal). The unit is seconds.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of simply commutated parameters. The maximum value is 71.\\
		& \\
		\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of a parameter to be sampled once.\\
		%& \\
		%\textbf{NFA}\newline PTC=3 PFC=3 & The number of super commutated parameter sets.\\
		%& \\
		%\textbf{Super Commutated\newline Sample Repetition\newline Number}\newline PTC=3 PFC=9 & The number of samples for each parameter.\\
		%& \\
		%\textbf{N2}\newline PTC=3 PFC=3 & The number of different parameters within this super commutated parameter set.\\
		%& \\
		%\textbf{Param ID}\newline PTC=2 PFC=24 & The identifier of a parameter, which should be sampled more than once.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	Each parameter is only allowed once per HK param report structure. If this is not considered the application data becomes invalid.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 3,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,2} & \textbf{Create a diagnostic parameter report structure}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC creates a complete diagnostic report structure with a variable number of parameters to report about. The state of the new SID is set to disabled.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 2 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering	\begin{tabular}{|p{0.18\textwidth}|p{0.18\textwidth}|p{0.18\textwidth}|p{0.18\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			Diagnostic Param Report\newline SID & Collection\newline Interval & N & Param ID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Unsigned\newline Integer & Unsigned\newline Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit&16 Bit&8 Bit&24 Bit\\
			\hline
			\multicolumn{3}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N times}\\
			
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,2)
	\end{table}
	
	%\setlength\arrayrulewidth{1pt}
	%\begin{table}[h]
	%\centering
	%\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
	%\hhline{|----|~~}
	%\rowcolor{TcHeader}
	%Diagnostic param report SID & Collection\newline Interval & N1 & Param ID & & \cellcolor{white}\\
	%\hhline{|----|~~}	
	%\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
	%\hhline{|----|~~}
	%\rowcolor{TcBody}
	%Enum & Unsigned\newline Integer & Unsigned\newline Integer & Enum & & \cellcolor{white}\\
	%\hhline{|----|~~}
	%\rowcolor{TcBody}
	%7 Bit&13 Bit&7 Bit&24 Bit&& \cellcolor{white}\\
	%\hhline{|----|~~}
	%\multicolumn{3}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N1 times} & &\\
	%\end{tabular}
	
	%\vspace{0.75cm}
	
	%\begin{tabular}{p{0.2\textwidth}p{0.005\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|}
	%\hhline{~~|----|}
	%\rowcolor{TcHeader}
	%\cellcolor{white} & & NFA & Super\newline Commutated Sample Repetition Number & N2 & Param ID	\\
	%\hhline{~~|----|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
	%\hhline{~~|----|}
	%\rowcolor{TcBody}
	%\cellcolor{white} && Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Enum \\
	%\hhline{~~|----|}
	%\rowcolor{TcBody}
	%\cellcolor{white} &&7 Bit&13 Bit&7 Bit&24 Bit \\
	%\hhline{~~|----|}
	%\multicolumn{5}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N2 times}\\
	%\multicolumn{3}{c}{} & \multicolumn{3}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$ Repeated NFA times $\rightarrow$}\\
	%\end{tabular}\\\vspace{10pt}
	%Application Data TC(3,2)
	%\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the diagnostic parameter report structure.\\
		& \\
		\textbf{Collection Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The time for collecting the data for the report. The maximum value is 32767 (decimal). The unit is seconds.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of simply commutated parameters. The maximum value is 71.\\
		& \\
		\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of a parameter to be sampled once.\\
		%& \\
		%\textbf{NFA}\newline PTC=3 PFC=3 & The number of super commutated parameter sets.\\
		%& \\
		%\textbf{Super Commutated\newline Sample Repetition\newline Number}\newline PTC=3 PFC=9 & The number of samples for each parameter.\\
		%& \\
		%\textbf{N2}\newline PTC=3 PFC=3 & The number of different parameters within this super commutated parameter set.\\
		%& \\
		%\textbf{Param ID}\newline PTC=2 PFC=24 & The identifier of a parameter, which should be sampled more than once.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	Each parameter is only allowed once per diagnostic param report structure. If this is not considered the application data becomes invalid.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 3,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,3} & \textbf{Delete housekeeping parameter report structures}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC deletes a variable number of housekeeping report structures. It is only possible to delete disabled SIDs.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 3 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & HK Param Report SID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit& 8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,3)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of housekeeping report structures to delete. The maximum value is 218.\\
		& \\
		\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the housekeeping report structures to delete.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 3,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,4} & \textbf{Delete diagnostic parameter report structures}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC deletes a variable number of diagnostic report structures. It is only possible to delete disabled SIDs.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 4 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & Diagnostic Param Report SID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit&8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,4)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of diagnostic report structures to delete. The maximum value is 218.\\
		& \\
		\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the diagnostic report structures to delete.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 3,5
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,5} & \textbf{Enable the periodic generation of housekeeping parameter reports}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC enables the periodic generation of the housekeeping parameter reports. After being enabled the reports will be generated periodically. The defined \textit{Collection Interval} will be applied.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 5 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & HK Param Report SID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,5)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of housekeeping report structures whose periodic generation gets enabled. The maximum value is 218.\\
		& \\
		\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the housekeeping report structures whose periodic generation gets enabled.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 3,6
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,6} & \textbf{Enable the periodic generation of diagnostic\newline parameter reports}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC enables the periodic generation of the diagnostic parameter reports. After being enabled the reports will be generated periodically. The defined \textit{Collection Interval} will be applied.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 6 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & Diagnostic Param Report SID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit&8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,6)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of diagnostic report structures whose periodic generation gets enabled. The maximum value is 218.\\
		& \\
		\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the diagnostic report structures whose periodic generation gets enabled.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 3,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,7} & \textbf{Disable the periodic generation of housekeeping parameter reports}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC disables the periodic generation of the housekeeping parameter reports.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 7 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & HK Param Report SID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit& 8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,7)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of housekeeping report structures whose periodic generation gets disabled. The maximum value is 218.\\
		& \\
		\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the housekeeping report structures whose periodic generation gets disabled.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 3,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,8} & \textbf{Disable the periodic generation of diagnostic\newline parameter reports}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC disables the periodic generation of the diagnostic parameter reports.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 8 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & Diagnostic Param Report SID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,8)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of diagnostic report structures whose periodic generation gets disabled. The maximum value is 218.\\
		& \\
		\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the diagnostic report structures whose periodic generation gets disabled.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 3,9
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{3,9} & \textbf{Report housekeeping parameter report structures}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a report about the addressed housekeeping report structures. The answer for this request is TM(3,10).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 9 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & HK Param Report SID\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit&8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
		\end{tabular}\\\vspace{10pt}
		Application Data TC(3,9)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of housekeeping report structures to report about. It is possible to request 218 SIDs at once, but only one per TM will be reported as answer.\\
		& \\
		\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the housekeeping report structures to report about.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 3,10
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{3,10} & \textbf{Housekeeping parameter report structure report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This report contains the data of one addressed housekeeping parameter report structure. It is the answer on TC(3,9) and has to be generated as often as the current number of requested SIDs.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 3 \\
		
		Service Subtype & 10 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.165\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			HK Param\newline Report SID & Periodic Generation Action Status & Collection\newline Interval & N & Param ID\\
			\hline
			\hline
			\rowcolor{TmBody}
			Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Enum\\
			\hline
			\rowcolor{TmBody}
			8 Bit&1 Bit&16 Bit&7 Bit&24 Bit\\
			\hline
			\multicolumn{4}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N times}
		\end{tabular}\\\vspace{10pt}
		Source Data TM(3,10)
	\end{table}
	
	%\setlength\arrayrulewidth{1pt}
	%\begin{table}[h]
	%\centering
	%	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
		%\hhline{|-----|~~}
		%\rowcolor{TmHeader!85}
		%HK Param\newline Report SID & Periodic Generation Action Status & Collection\newline Interval & N1 & Param ID & & \cellcolor{white}\\
		%\hhline{|-----|~~}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
		%\hhline{|-----|~~}
		%\rowcolor{TmBody}
		%Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Enum & & \cellcolor{white}\\
		%\hhline{|-----|~~}
		%\rowcolor{TmBody}
		%7 Bit&1 Bit&13 Bit&7 Bit&24 Bit&& \cellcolor{white}\\
		%\hhline{|-----|~~}
		%\multicolumn{4}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N1 times} & &\\
		%\end{tabular}
		
		%\vspace{0.75cm}
		
		%\begin{tabular}{p{0.2\textwidth}p{0.005\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|}
		%\hhline{~~|----|}
		%\rowcolor{TmHeader!85}
		%\cellcolor{white} & & NFA & Super\newline Commutated Sample Repetition Number & N2 & Param ID	\\
		%\hhline{~~|----|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
		%\hhline{~~|----|}
		%\rowcolor{TmBody}
		%\cellcolor{white} && Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Enum \\
		%\hhline{~~|----|}
		%\rowcolor{TmBody}
		%\cellcolor{white} &&7 Bit&13 Bit&7 Bit&24 Bit \\
		%\hhline{~~|----|}
		%\multicolumn{5}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N2 times}\\
		%\multicolumn{3}{c}{} & \multicolumn{3}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$ Repeated NFA times $\rightarrow$}\\
		%\end{tabular}\\\vspace{10pt}
		%Source Data TM(3,10)
		%\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the housekeeping parameter report structure.\\
			& \\
			\textbf{Perodic Generation\newline Action Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=1 \end{tabular} & Indicates whether or not the report gets generated periodically. Possible values are:\newline0 - no periodic generation\newline1 - periodic generation\newline This is an optional field.\\
			& \\
			\textbf{Collection Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The time for collecting the data for the report. The maximum value is 32767 (decimal). The unit is seconds.\\
			& \\
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=3 \end{tabular} & The number of simply commutated parameters. The maximum value is 71.\\
			& \\
			\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of a parameter to be sampled once.\\
			%& \\
			%\textbf{NFA}\newline PTC=3 PFC=3 & The number of super commutated parameter sets.\\
			%& \\
			%\textbf{Super Commutated\newline Sample Repetition\newline Number}\newline PTC=3 PFC=9 & The number of samples for each parameter.\\
			%& \\
			%\textbf{N2}\newline PTC=3 PFC=3 & The number of different parameters within this super commutated parameter set.\\
			%& \\
			%\textbf{Param ID}\newline PTC=2 PFC=24 & The identifier of a parameter, which should be sampled more than once.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TC 3,11
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TC} & \textbf{3,11} & \textbf{Report diagnostic parameter report structures}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TC requests a report about the addressed diagnostic report structures. The answer for this request is TM(3,12).
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 11 \\
			&\\
			Application Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
				\hline
				\rowcolor{TcHeader}
				N & Diagnostic Param Report SID\\
				\hline
				\hline
				\rowcolor{TcBody}
				Unsigned Integer & Enum\\
				\hline
				\rowcolor{TcBody}
				8 Bit&8 Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Application Data TC(3,11)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of diagnostic report structures to report about. It is possible to request 218 SIDs at once, but only one per TM will be reported as answer.\\
			& \\
			\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the diagnostic report structures to report about.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TM 3,12
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TM} & \textbf{3,12} & \textbf{Diagnostic parameter report structure report}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This report contains the data of one addressed diagnostic parameter report structure. It is the answer on TC(3,11) and has generated as often as the current number of requested SIDs.
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 12 \\
			&\\
			Source Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.165\textwidth}|}
				\hline
				\rowcolor{TmHeader!85}
				Diagnostic Param Report SID & Periodic Generation Action Status & Collection\newline Interval & N & Param ID\\
				\hline
				\hline
				\rowcolor{TmBody}
				Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Enum\\
				\hline
				\rowcolor{TmBody}
				8 Bit&1 Bit&16 Bit&7 Bit&24 Bit\\
				\hline
				\multicolumn{4}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N times}
			\end{tabular}\\\vspace{10pt}
			Source Data TM(3,12)
		\end{table}
		
		%\setlength\arrayrulewidth{1pt}
		%\begin{table}[h]
		%\centering
		%\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
		%\hhline{|-----|~~}
		%\rowcolor{TmHeader!85}
		%Diagnostic\newline Param\newline Report SID & Periodic Generation Action Status & Collection\newline Interval & N1 & Param ID & & \cellcolor{white}\\
		%\hhline{|-----|~~}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
		%\hhline{|-----|~~}
		%\rowcolor{TmBody}
		%Enum & Enum & Unsigned\newline Integer & Unsigned\newline Integer & Enum & & \cellcolor{white}\\
		%\hhline{|-----|~~}
		%\rowcolor{TmBody}
		%7 Bit&1 Bit&13 Bit&7 Bit&24 Bit&& \cellcolor{white}\\
		%\hhline{|-----|~~}
		%\multicolumn{4}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N1 times} & &\\
		%\end{tabular}
		
		%\vspace{0.75cm}
		
		%\begin{tabular}{p{0.2\textwidth}p{0.005\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|}
		%\hhline{~~|----|}
		%\rowcolor{TmHeader!85}
		%\cellcolor{white} & & NFA & Super\newline Commutated Sample Repetition Number & N2 & Param ID	\\
		%\hhline{~~|----|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
		%\hhline{~~|----|}
		%\rowcolor{TmBody}
		%\cellcolor{white} && Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Enum \\
		%\hhline{~~|----|}
		%\rowcolor{TmBody}
		%\cellcolor{white} &&7 Bit&13 Bit&7 Bit&24 Bit \\
		%\hhline{~~|----|}
		%\multicolumn{5}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N2 times}\\
		%\multicolumn{3}{c}{} & \multicolumn{3}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$ Repeated NFA times $\rightarrow$}\\
		%\end{tabular}\\\vspace{10pt}
		%Source Data TM(3,12)
		%\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the diagnostic parameter report structure.\\
			& \\
			\textbf{Perodic Generation\newline Action Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=1 \end{tabular} & Indicates whether or not the report gets generated periodically. Possible values are:\newline0 - no periodic generation\newline1 - periodic generation\newline This is an optional field.\\
			& \\
			\textbf{Collection Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The time for collecting the data. The maximum value is 32767 (decimal). The unit is seconds.\\
			& \\
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=3 \end{tabular} & The number of simply commutated parameters. The maximum value is 71.\\
			& \\
			\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of a parameter to be sampled once.\\
			%& \\
			%\textbf{NFA}\newline PTC=3 PFC=3 & The number of super commutated parameter sets.\\
			%& \\
			%\textbf{Super Commutated\newline Sample Repetition\newline Number}\newline PTC=3 PFC=9 & The number of samples for each parameter.\\
			%& \\
			%\textbf{N2}\newline PTC=3 PFC=3 & The number of different parameters within this super commutated parameter set.\\
			%& \\
			%\textbf{Param ID}\newline PTC=2 PFC=24 & The identifier of a parameter, which should be sampled more than once.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TM 3,25
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TM} & \textbf{3,25} & \textbf{Housekeeping parameter report}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TM reports the parameter values. It is periodically generated for all enabled housekeeping parameter report structures.
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 25 \\
			&\\
			Source Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.25\textwidth}|p{0.25\textwidth}|p{0.25\textwidth}|}
				\hline
				\rowcolor{TmHeader!85}
				\cellcolor{TmHeader!85} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85}Param}\\
				\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|--|}
				\rowcolor{TmHeader!85}
				\multirow{-2}{*}{\cellcolor{TmHeader!85}\parbox{0.25\textwidth}{HK Param Report SID}} & Param ID & Param Value\\
				\hline
				\hline
				\rowcolor{TmBody}
				Enum & Enum & Deduced\\
				\hline
				\rowcolor{TmBody}
				8 Bit&24 Bit&$n\cdot8$ Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$Deduced repeated number of times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Source Data TM(3,25)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the housekeeping parameter report structure.\\
			& \\
			\textbf{Param}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}} ID:& PTC=2 &PFC=24\\ Value:& PTC=11& PFC=0\end{tabular} & This field consists of the parameter ID and the parameter value. The structure of the value field will be implicitly known through the parameter ID. The size of the field is $n\cdot8\  Bit$\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TM 3,26
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TM} & \textbf{3,26} & \textbf{Diagnostic parameter report}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TM reports the parameter values. It is periodically generated for all enabled diagnostic parameter report structures.
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 26 \\
			&\\
			Source Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.25\textwidth}|p{0.25\textwidth}|p{0.25\textwidth}|}
				\hline
				\rowcolor{TmHeader!85}
				\cellcolor{TmHeader!85} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85}Param}\\
				\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|--|}
				\rowcolor{TmHeader!85}
				\multirow{-2}{*}{\cellcolor{TmHeader!85}\parbox{0.25\textwidth}{Diagnostic Param\newline Report SID}} & Param ID & Param Value\\
				\hline
				\hline
				\rowcolor{TmBody}
				Enum & Enum & Deduced\\
				\hline
				\rowcolor{TmBody}
				8 Bit&24 Bit&$n\cdot8$ Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$Deduced repeated number of times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Source Data TM(3,26)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the diagnostic parameter report structure.\\
			& \\
			\textbf{Param}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}} ID:& PTC=2& PFC=24\\Value: & PFC=11 &PFC=0\end{tabular} & This field consists of the parameter ID and the parameter value. The structure of the value field will be known implicitly through the parameter ID. The size of the field is $n\cdot8\  Bit$\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TC 3,29
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TC} & \textbf{3,29} & \textbf{Append parameters to a housekeeping parameter report structure}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TC appends a variable number of parameters to an existing housekeeping report structure. Before appending parameters, it has to be checked whether the maximum length of the application data of a TC (219 Byte) is still not exceeded.
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 29 \\
			&\\
			Application Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
				\hline
				\rowcolor{TcHeader}
				HK Param\newline Report SID & N & Param ID\\
				\hline
				\hline
				\rowcolor{TcBody}
				Enum & Unsigned\newline Integer & Enum\\
				\hline
				\rowcolor{TcBody}
				8 Bit & 8 Bit & 24 Bit\\
				\hline
				\multicolumn{2}{c}{} & \multicolumn{1}{|>{\centering}p{0.23\textwidth}|}{$\leftarrow$\quad Repeated N\quad $\rightarrow$\newline times}\\
			\end{tabular}\\\vspace{10pt}
			Application Data TC(3,29)
		\end{table}
		
		%\setlength\arrayrulewidth{1pt}
		%\begin{table}[h]
		%\centering
		%\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
		%\hhline{|---|~~}
		%\rowcolor{TcHeader}
		%HK Param\newline Report SID & N1 & Param ID & & \cellcolor{white}\\
		%\hhline{|---|~~}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
		%\hhline{|---|~~}
		%\rowcolor{TcBody}
		%Enum & Unsigned\newline Integer & Enum & & \cellcolor{white}\\
		%\hhline{|---|~~}
		%\rowcolor{TcBody}
		%7 Bit&7 Bit&24 Bit&& \cellcolor{white}\\
		%\hhline{|---|~~}
		%\multicolumn{2}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N1 times} & &\\
		%\end{tabular}
		
		%\vspace{0.75cm}
		
		%\begin{tabular}{p{0.2\textwidth}p{0.005\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|}
		%\hhline{~~|----|}
		%\rowcolor{TcHeader}
		%\cellcolor{white} & & NFA & Super\newline Commutated Sample Repetition Number & N2 & Param ID	\\
		%\hhline{~~|----|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
		%\hhline{~~|----|}
		%\rowcolor{TcBody}
		%\cellcolor{white} && Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Enum \\
		%\hhline{~~|----|}
		%\rowcolor{TcBody}
		%\cellcolor{white} &&7 Bit& 13 Bit&7 Bit&24 Bit \\
		%\hhline{~~|----|}
		%\multicolumn{5}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N2 times}\\
		%\multicolumn{3}{c}{} & \multicolumn{3}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$ Repeated NFA times $\rightarrow$}\\
		%\end{tabular}\\\vspace{10pt}
		%Application Data TC(3,29)
		%\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the housekeeping parameter report structure.\\
			& \\
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of simply commutated parameters. The maximum value is 71.\\
			& \\
			\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of a parameter to be sampled once.\\
			%& \\
			%\textbf{NFA}\newline PTC=3 PFC=3 & The number of super commutated parameter sets.\\
			%& \\
			%\textbf{Super Commutated\newline Sample Repetition\newline Number}\newline PTC=3 PFC=9 & The number of samples for each parameter.\\
			%& \\
			%\textbf{N2}\newline PTC=3 PFC=3 & The number of different parameters within this super commutated parameter set.\\
			%& \\
			%\textbf{Param ID}\newline PTC=2 PFC=24 & The identifier of a parameter, which should be sampled more than once.\\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\item[Remarks:]\hfill\\
		\newline
		Each parameter is only allowed once per HK param report structure. If this is not considered the application data becomes invalid.
		
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TC 3,30
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TC} & \textbf{3,30} & \textbf{Append parameters to a diagnostic parameter\newline report structure}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TC appends a variable number of parameters to an existing diagnostic report structure. Before appending parameters, it has to be checked whether the maximum length of the application data of a TC (219 Byte) is still not exceeded.
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 30 \\
			&\\
			Application Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
				\hline
				\rowcolor{TcHeader}
				Diagnostic Param\newline Report SID & N & Param ID\\
				\hline
				\hline
				\rowcolor{TcBody}
				Enum & Unsigned\newline Integer & Enum\\
				\hline
				\rowcolor{TcBody}
				8 Bit & 8 Bit & 24 Bit\\
				\hline
				\multicolumn{2}{c}{} & \multicolumn{1}{|>{\centering}p{0.23\textwidth}|}{$\leftarrow$\quad Repeated N\quad $\rightarrow$\newline times}\\
			\end{tabular}\\\vspace{10pt}
			Application Data TC(3,30)
			
		\end{table}
		
		%\setlength\arrayrulewidth{1pt}
		%\begin{table}[h]
		%\centering
		%\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|p{0.005\textwidth}p{0.2\textwidth}}
		%\hhline{|---|~~}
		%\rowcolor{TcHeader}
		%Diagnostic param\newline report SID & N1 & Param ID & & \cellcolor{white}\\
		%\hhline{|---|~~}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
		%\hhline{|---|~~}
		%\rowcolor{TcBody}
		%Enum & Unsigned\newline Integer & Enum & & \cellcolor{white}\\
		%\hhline{|---|~~}
		%\rowcolor{TcBody}
		%7 Bit&7 Bit&24 Bit&& \cellcolor{white}\\
		%\hhline{|---|~~}
		%\multicolumn{2}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N1 times} & &\\
		%\end{tabular}
		
		%\vspace{0.75cm}
		
		%\begin{tabular}{p{0.2\textwidth}p{0.005\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.15\textwidth}|p{0.17\textwidth}|}
		%\hhline{~~|----|}
		%\rowcolor{TcHeader}
		%\cellcolor{white} & & NFA & Super\newline Commutated Sample Repetition Number & N2 & Param ID	\\
		%\hhline{~~|----|}	\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}		\hhline{>{\arrayrulecolor{white}}->{\arrayrulecolor{black}}}
		%\hhline{~~|----|}
		%\rowcolor{TcBody}
		%\cellcolor{white} && Unsigned\newline Integer & Unsigned\newline Integer & Unsigned\newline Integer & Enum \\
		%\hhline{~~|----|}
		%\rowcolor{TcBody}
		%\cellcolor{white} &&7 Bit&13 Bit&7 Bit&24 Bit \\
		%\hhline{~~|----|}
		%\multicolumn{5}{c}{} & \multicolumn{1}{|>{\centering}p{0.15\textwidth}|}{$\leftarrow$\quad\quad\quad$\rightarrow$\newline Repeated N2 times}\\
		%\multicolumn{3}{c}{} & \multicolumn{3}{|>{\centering}p{0.3\textwidth}|}{$\leftarrow$ Repeated NFA times $\rightarrow$}\\
		%\end{tabular}\\\vspace{10pt}
		%Application Data TC(3,30)
		%\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of the diagnostic parameter report structure.\\
			& \\
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of simply commutated parameters. The maximum value is 71.\\
			& \\
			\textbf{Param ID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=24 \end{tabular} & The identifier of a parameter to be sampled once.\\
			%& \\
			%\textbf{NFA}\newline PTC=3 PFC=3 & The number of super commutated parameter sets.\\
			%& \\
			%\textbf{Super Commutated\newline Sample Repetition\newline Number}\newline PTC=3 PFC=9 & The number of samples for each parameter.\\
			%& \\
			%\textbf{N2}\newline PTC=3 PFC=3 & The number of different parameters within this super commutated parameter set.\\
			%& \\
			%\textbf{Param ID}\newline PTC=2 PFC=24 & The identifier of a parameter, which should be sampled more than once.\\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\item[Remarks:]\hfill\\
		\newline
		Each parameter is only allowed once per diagnostic param report structure. If this is not considered the application data becomes invalid.
		
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TC 3,31
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TC} & \textbf{3,31} & \textbf{Modify the collection interval of housekeeping\newline parameter report structures}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TC modifies the collection interval for a variable number of addressed housekeeping parameter report structures.
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 31 \\
			&\\
			Application Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
				\hline
				\rowcolor{TcHeader}
				N & HK Param Report SID & Collection Interval\\
				\hline
				\hline
				\rowcolor{TcBody}
				Unsigned Integer & Enum & Unsigned Integer\\
				\hline
				\rowcolor{TcBody}
				8 Bit&8 Bit&16 Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Application Data TC(3,31)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following housekeeping report structures. The maximum value is 72.\\
			& \\
			\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of a housekeeping parameter report structure.\\
			& \\
			\textbf{Collection Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The new collection interval to the related housekeeping parameter report structure. The maximum value is 32767 (decimal). The unit is seconds.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TC 3,32
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TC} & \textbf{3,32} & \textbf{Modify the collection interval of diagnostic\newline parameter report structures}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TC modifies the collection interval for a variable number of addressed diagnostic parameter report structures.
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 32 \\
			&\\
			Application Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
				\hline
				\rowcolor{TcHeader}
				N & Diagnostic Param\newline Report SID & Collection Interval\\
				\hline
				\hline
				\rowcolor{TcBody}
				Unsigned Integer & Enum & Unsigned Integer\\
				\hline
				\rowcolor{TcBody}
				8 Bit&8 Bit&16 Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Application Data TC(3,32)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following diagnostic report structures. The maximum value is 72.\\
			& \\
			\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of a diagnostic parameter report structure.\\
			& \\
			\textbf{Collection Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=12 \end{tabular} & The new collection interval to the related diagnostic parameter report structure. The maximum value is 32767 (decimal). The unit is seconds.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TC 3,33
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TC} & \textbf{3,33} & \textbf{Report the periodic generation properties of housekeeping parameter report structures}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TC requests a report about the periodic generation properties of a variable number of specialised housekeeping report structures. The answer for this request is TM(3,35).
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 33 \\
			&\\
			Application Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
				\hline
				\rowcolor{TcHeader}
				N & HK Param Report SID\\
				\hline
				\hline
				\rowcolor{TcBody}
				Unsigned Integer & Enum\\
				\hline
				\rowcolor{TcBody}
				8 Bit&8 Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Application Data TC(3,33)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following housekeeping report structures. The maximum value is 218, but only 71 SIDs (max.) get reported in one report.\\
			& \\
			\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of a housekeeping parameter report structure.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TC 3,34
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TC} & \textbf{3,34} & \textbf{Report the periodic generation properties of\newline diagnostic parameter report structures}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TC requests a report about the periodic generation properties of a variable number of specialised diagnostic report structures. The answer for this request is TM(3,36).
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 34 \\
			&\\
			Application Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.35\textwidth}|p{0.35\textwidth}|}
				\hline
				\rowcolor{TcHeader}
				N & Diagnostic Param Report SID\\
				\hline
				\hline
				\rowcolor{TcBody}
				Unsigned Integer & Enum\\
				\hline
				\rowcolor{TcBody}
				8 Bit&8 Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{1}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Application Data TC(3,34)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following diagnostic report structures. The maximum value is 218, but only 71 SIDs (max.) get reported in one report.\\
			& \\
			\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of a diagnostic parameter report structure.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TM 3,35
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TM} & \textbf{3,35} & \textbf{Housekeeping parameter report periodic\newline generation properties report}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TM reports the periodic generation action status and the collection interval of each requested housekeeping report structure. The generation of this TM is initiated by receiving TC(3,33).
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 35 \\
			&\\
			Source Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
				\hline
				\rowcolor{TmHeader!85}
				N & HK Param\newline Report SID & Periodic Generation Action Status & Collection\newline Interval\\
				\hline
				\hline
				\rowcolor{TmBody}
				Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer\\
				\hline
				\rowcolor{TmBody}
				8 Bit&8 Bit&1 Bit&15 Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Source Data TM(3,35)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following housekeeping report structures. The maximum value is 71.\\
			& \\
			\textbf{HK Param Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of a housekeeping parameter report structure.\\
			& \\
			\textbf{Periodic Generation\newline Action Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=1 \end{tabular} & The status of the associated housekeeping parameter report structure. Possible values are:\newline1 - enabled\newline0 - disabled\\
			& \\
			\textbf{Collection Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=11 \end{tabular} & The time between two periodic generated housekeeping reports. The unit is seconds.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	
	
	% ------------------------------------------------------------------------------
	% TM 3,36
	% ------------------------------------------------------------------------------
	\newpage
	\begin{table}[h]
		\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
			\hline
			\textbf{TM} & \textbf{3,36} & \textbf{Diagnostic parameter report periodic generation properties report}\\
			\hline
		\end{tabular}
	\end{table}
	
	\begin{description}
		\item[Function and Description:]\hfill\\
		\newline
		This TM reports the periodic generation action status und the collection interval of each requested diagnostic report structure. The generation of this TM is initiated by receiving TC(3,34).
		\item[Structure:]\hfill\\
		\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
			APID & \\
			&\\
			Service Type & 3 \\
			
			Service Subtype & 36 \\
			&\\
			Source Data & \\
		\end{longtable}
		\addtocounter{table}{-1}
		
		\setlength\arrayrulewidth{1pt}
		\begin{table}[h]
			\centering
			\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
				\hline
				\rowcolor{TmHeader!85}
				N & Diagnostic\newline Param Report\newline SID & Periodic Generation Action Status & Collection\newline Interval\\
				\hline
				\hline
				\rowcolor{TmBody}
				Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer\\
				\hline
				\rowcolor{TmBody}
				8 Bit& 8 Bit&1 Bit&15 Bit\\
				\hline
				\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$Repeated N times$\rightarrow$}\\
			\end{tabular}\\\vspace{10pt}
			Source Data TM(3,36)
		\end{table}
		
		\item[Parameter Definitions:]\hfill\\
		\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
			\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following diagnostic report structures. The maximum value is 71.\\
			& \\
			\textbf{Diagnostic Param\newline Report SID}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The identifier of a diagnostic parameter report structure.\\
			& \\
			\textbf{Periodic Generation\newline Action Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=1 \end{tabular} & The status of the associated diagnostic parameter report structure. Possible values are:\newline1 - enabled\newline0 - disabled\\
			& \\
			\textbf{Collection Interval}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=11 \end{tabular} & The time between two periodic generated diagnostic reports. The unit is seconds.\\
		\end{longtable}
		\addtocounter{table}{-1}
	\end{description}
	
	\vfill
	